declare const _default: {
    rules: {
        'array-bracket-spacing': string[];
        'arrow-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'block-spacing': string[];
        camelcase: (string | {
            ignoreDestructuring: boolean;
            properties: string;
        })[];
        'capitalized-comments': (string | {
            block: {
                ignoreConsecutiveComments: boolean;
                ignoreInlineComments: boolean;
                ignorePattern: string;
            };
            line: {
                ignoreConsecutiveComments: boolean;
                ignoreInlineComments: boolean;
                ignorePattern: string;
            };
        })[];
        'comma-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'comma-style': (string | {
            exceptions: {
                ArrayExpression: boolean;
                ArrayPattern: boolean;
                ArrowFunctionExpression: boolean;
                CallExpression: boolean;
                FunctionDeclaration: boolean;
                FunctionExpression: boolean;
                ImportDeclaration: boolean;
                NewExpression: boolean;
                ObjectExpression: boolean;
                ObjectPattern: boolean;
                VariableDeclaration: boolean;
            };
        })[];
        'computed-property-spacing': string[];
        curly: string[];
        'dot-location': string[];
        'eol-last': string[];
        'func-call-spacing': string[];
        'func-name-matching': (string | {
            considerPropertyDescriptor: boolean;
            includeCommonJSModuleExports: boolean;
        })[];
        'func-names': string;
        'key-spacing': (string | {
            afterColon: boolean;
            beforeColon: boolean;
        })[];
        'keyword-spacing': (string | {
            after: boolean;
            before: boolean;
            overrides: {
                case: {
                    after: boolean;
                };
                return: {
                    after: boolean;
                };
                throw: {
                    after: boolean;
                };
            };
        })[];
        'line-comment-position': (string | {
            applyDefaultPatterns: boolean;
            position: string;
        })[];
        'lines-around-comment': string;
        'lines-around-directive': (string | {
            after: string;
            before: string;
        })[];
        'lines-between-class-members': (string | {
            exceptAfterSingleLine: boolean;
        })[];
        'max-depth': (string | number)[];
        'max-len': (string | number | {
            ignoreComments: boolean;
            ignoreRegExpLiterals: boolean;
            ignoreStrings: boolean;
            ignoreTemplateLiterals: boolean;
            ignoreTrailingComments: boolean;
            ignoreUrls: boolean;
        })[];
        'max-statements-per-line': (string | {
            max: number;
        })[];
        'multiline-comment-style': string[];
        'new-parens': string;
        'nonblock-statement-body-position': (string | {
            overrides: {};
        })[];
        'object-curly-newline': (string | {
            ExportDeclaration: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
            ImportDeclaration: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
            ObjectExpression: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
            ObjectPattern: {
                consistent: boolean;
                minProperties: number;
                multiline: boolean;
            };
        })[];
        'object-curly-spacing': string[];
        'padding-line-between-statements': (string | {
            blankLine: string;
            next: string;
            prev: string;
        } | {
            blankLine: string;
            next: string;
            prev: string[];
        } | {
            blankLine: string;
            next: string[];
            prev: string[];
        })[];
        'quote-props': (string | {
            keywords: boolean;
            numbers: boolean;
            unnecessary: boolean;
        })[];
        quotes: (string | {
            avoidEscape: boolean;
        })[];
        'semi-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'semi-style': string[];
        'space-before-blocks': string;
        'space-before-function-paren': (string | {
            anonymous: string;
            asyncArrow: string;
            named: string;
        })[];
        'space-in-parens': string[];
        'space-infix-ops': string;
        'space-unary-ops': (string | {
            nonwords: boolean;
            overrides: {};
            words: boolean;
        })[];
        'spaced-comment': (string | {
            block: {
                balanced: boolean;
                exceptions: string[];
                markers: string[];
            };
            line: {
                exceptions: string[];
                markers: string[];
            };
        })[];
        'switch-colon-spacing': (string | {
            after: boolean;
            before: boolean;
        })[];
        'template-curly-spacing': string;
        'template-tag-spacing': string[];
        'unicode-bom': string[];
        'no-array-constructor': string;
        'no-async-promise-executor': string;
        'no-bitwise': string;
        'no-caller': string;
        'no-case-declarations': string;
        'no-console': (string | {
            allow: string[];
        })[];
        'no-const-assign': string;
        'no-constant-condition': string;
        'no-constructor-return': string;
        'no-control-regex': string;
        'no-debugger': string;
        'no-div-regex': string;
        'no-dupe-args': string;
        'no-dupe-class-members': string;
        'no-dupe-keys': string;
        'no-duplicate-case': string;
        'no-duplicate-imports': string;
        'no-empty': string;
        'no-empty-function': (string | {
            allow: string[];
        })[];
        'no-empty-pattern': string;
        'no-eq-null': string;
        'no-eval': string;
        'no-extend-native': string;
        'no-extra-bind': string;
        'no-extra-label': string;
        'no-extra-semi': string;
        'no-fallthrough': string;
        'no-floating-decimal': string;
        'no-global-assign': (string | {
            exceptions: never[];
        })[];
        'no-implicit-coercion': (string | {
            allow: never[];
            boolean: boolean;
            number: boolean;
            string: boolean;
        })[];
        'no-implicit-globals': string;
        'no-implied-eval': string;
        'no-invalid-this': string;
        'no-irregular-whitespace': string;
        'no-iterator': string;
        'no-labels': (string | {
            allowLoop: boolean;
            allowSwitch: boolean;
        })[];
        'no-lone-blocks': string;
        'no-magic-numbers': (string | {
            detectObjects: boolean;
            enforceConst: boolean;
            ignore: never[];
            ignoreArrayIndexes: boolean;
        })[];
        'no-mixed-operators': (string | {
            allowSamePrecedence: boolean;
            groups: string[][];
        })[];
        'no-mixed-spaces-and-tabs': string;
        'no-multi-spaces': (string | {
            ignoreEOLComments: boolean;
        })[];
        'no-multiple-empty-lines': (string | {
            max: number;
            maxBOF: number;
            maxEOF: number;
        })[];
        'no-native-reassign': string;
        'no-new': string;
        'no-new-func': string;
        'no-new-object': string;
        'no-new-symbol': string;
        'no-new-wrappers': string;
        'no-octal': string;
        'no-octal-escape': string;
        'no-proto': string;
        'no-prototype-builtins': string;
        'no-redeclare': string;
        'no-regex-spaces': string;
        'no-restricted-properties': (string | {
            message: string;
            object: string;
            property: string;
        } | {
            message: string;
            property: string;
            object?: undefined;
        })[];
        'no-return-assign': string[];
        'no-return-await': string;
        'no-self-assign': (string | {
            props: boolean;
        })[];
        'no-self-compare': string;
        'no-sequences': string;
        'no-spaced-func': string;
        'no-tabs': string;
        'no-throw-literal': string;
        'no-trailing-spaces': (string | {
            ignoreComments: boolean;
            skipBlankLines: boolean;
        })[];
        'no-undef': string;
        'no-undef-init': string;
        'no-unexpected-multiline': string;
        'no-unmodified-loop-condition': string;
        'no-unneeded-ternary': (string | {
            defaultAssignment: boolean;
        })[];
        'no-unreachable': string;
        'no-unsafe-finally': string;
        'no-unsafe-negation': string;
        'no-unused-labels': string;
        'no-unused-vars': (string | {
            args: string;
            ignoreRestSiblings: boolean;
            vars: string;
        })[];
        'no-use-before-define': (string | {
            classes: boolean;
            functions: boolean;
            variables: boolean;
        })[];
        'no-useless-call': string;
        'no-useless-catch': string;
        'no-useless-concat': string;
        'no-useless-constructor': string;
        'no-useless-escape': string;
        'no-useless-return': string;
        'no-var': string;
        'no-warning-comments': (string | {
            location: string;
            terms: string[];
        })[];
        'no-whitespace-before-property': string;
        'no-with': string;
        'accessor-pairs': string;
        'arrow-body-style': (string | {
            requireReturnForObjectLiteral: boolean;
        })[];
        'block-scoped-var': string;
        'default-case': (string | {
            commentPattern: string;
        })[];
        eqeqeq: (string | {
            null: string;
        })[];
        'getter-return': (string | {
            allowImplicit: boolean;
        })[];
        'guard-for-in': string;
        'max-classes-per-file': (string | number)[];
        'object-property-newline': (string | {
            allowAllPropertiesOnSameLine: boolean;
        })[];
        'object-shorthand': (string | {
            avoidQuotes: boolean;
            ignoreConstructors: boolean;
        })[];
        'one-var': string[];
        'one-var-declaration-per-line': string[];
        'operator-assignment': string[];
        'prefer-arrow-callback': (string | {
            allowNamedFunctions: boolean;
            allowUnboundThis: boolean;
        })[];
        'prefer-const': (string | {
            destructuring: string;
            ignoreReadBeforeAssign: boolean;
        })[];
        'prefer-destructuring': (string | {
            AssignmentExpression: {
                array: boolean;
                object: boolean;
            };
            VariableDeclarator: {
                array: boolean;
                object: boolean;
            };
            enforceForRenamedProperties?: undefined;
        } | {
            enforceForRenamedProperties: boolean;
            AssignmentExpression?: undefined;
            VariableDeclarator?: undefined;
        })[];
        'prefer-named-capture-group': string;
        'prefer-numeric-literals': string;
        'prefer-spread': string;
        radix: string[];
        'require-await': string;
        'require-unicode-regexp': string;
        semi: string[];
        'sort-imports': (string | {
            ignoreCase: boolean;
            ignoreDeclarationSort: boolean;
            ignoreMemberSort: boolean;
            memberSyntaxSortOrder: string[];
        })[];
        'valid-jsdoc': string;
        'valid-typeof': (string | {
            requireStringLiterals: boolean;
        })[];
        'vars-on-top': string;
        'wrap-iife': (string | {
            functionPrototypeMethods: boolean;
        })[];
    };
    overrides: {
        files: string[];
        rules: {
            [x: string]: string;
        };
    }[];
    extends: string[];
};
export = _default;
//# sourceMappingURL=recommended-js.d.ts.map