"use strict";
const errors_1 = require("./rules/errors");
const formatters_1 = require("./rules/formatters");
const standards_1 = require("./rules/standards");
const matchers_1 = require("./rules/matchers");
module.exports = {
    rules: {
        ...standards_1.standardsConfig,
        ...errors_1.errorsConfig,
        ...formatters_1.formatterConfig
    },
    overrides: [
        {
            files: matchers_1.ignoresConfigAndTests,
            rules: {
                ...standards_1.standardsIgnore,
                ...errors_1.errorsIgnore,
                ...formatters_1.formatterIgnore
            }
        }
    ],
    extends: ['eslint:recommended']
};
