"use strict";
const errors_1 = require("./rules/errors");
const formatters_1 = require("./rules/formatters");
const imports_1 = require("./rules/imports");
const standards_1 = require("./rules/standards");
const typescript_1 = require("./rules/typescript");
const matchers_1 = require("./rules/matchers");
module.exports = {
    rules: {
        ...standards_1.standardsConfig,
        ...errors_1.errorsConfig,
        ...formatters_1.formatterConfig,
        ...typescript_1.tsConfig,
        ...imports_1.importsConfig
    },
    overrides: [
        {
            files: matchers_1.ignoresConfigAndTests,
            rules: {
                ...standards_1.standardsIgnore,
                ...errors_1.errorsIgnore,
                ...formatters_1.formatterIgnore,
                ...typescript_1.tsIgnore,
                ...imports_1.importsIgnore
            }
        }
    ],
    extends: [
        'eslint:recommended',
        'plugin:@typescript-eslint/recommended',
        'plugin:import/errors',
        'plugin:import/warnings',
        'plugin:import/typescript'
    ]
};
