declare const errorsConfig: {
    'no-array-constructor': string;
    'no-async-promise-executor': string;
    'no-bitwise': string;
    'no-caller': string;
    'no-case-declarations': string;
    'no-console': (string | {
        allow: string[];
    })[];
    'no-const-assign': string;
    'no-constant-condition': string;
    'no-constructor-return': string;
    'no-control-regex': string;
    'no-debugger': string;
    'no-div-regex': string;
    'no-dupe-args': string;
    'no-dupe-class-members': string;
    'no-dupe-keys': string;
    'no-duplicate-case': string;
    'no-duplicate-imports': string;
    'no-empty': string;
    'no-empty-function': (string | {
        allow: string[];
    })[];
    'no-empty-pattern': string;
    'no-eq-null': string;
    'no-eval': string;
    'no-extend-native': string;
    'no-extra-bind': string;
    'no-extra-label': string;
    'no-extra-semi': string;
    'no-fallthrough': string;
    'no-floating-decimal': string;
    'no-global-assign': (string | {
        exceptions: never[];
    })[];
    'no-implicit-coercion': (string | {
        allow: never[];
        boolean: boolean;
        number: boolean;
        string: boolean;
    })[];
    'no-implicit-globals': string;
    'no-implied-eval': string;
    'no-invalid-this': string;
    'no-irregular-whitespace': string;
    'no-iterator': string;
    'no-labels': (string | {
        allowLoop: boolean;
        allowSwitch: boolean;
    })[];
    'no-lone-blocks': string;
    'no-magic-numbers': (string | {
        detectObjects: boolean;
        enforceConst: boolean;
        ignore: never[];
        ignoreArrayIndexes: boolean;
    })[];
    'no-mixed-operators': (string | {
        allowSamePrecedence: boolean;
        groups: string[][];
    })[];
    'no-mixed-spaces-and-tabs': string;
    'no-multi-spaces': (string | {
        ignoreEOLComments: boolean;
    })[];
    'no-multiple-empty-lines': (string | {
        max: number;
        maxBOF: number;
        maxEOF: number;
    })[];
    'no-native-reassign': string;
    'no-new': string;
    'no-new-func': string;
    'no-new-object': string;
    'no-new-symbol': string;
    'no-new-wrappers': string;
    'no-octal': string;
    'no-octal-escape': string;
    'no-proto': string;
    'no-prototype-builtins': string;
    'no-redeclare': string;
    'no-regex-spaces': string;
    'no-restricted-properties': (string | {
        message: string;
        object: string;
        property: string;
    } | {
        message: string;
        property: string;
        object?: undefined;
    })[];
    'no-return-assign': string[];
    'no-return-await': string;
    'no-self-assign': (string | {
        props: boolean;
    })[];
    'no-self-compare': string;
    'no-sequences': string;
    'no-spaced-func': string;
    'no-tabs': string;
    'no-throw-literal': string;
    'no-trailing-spaces': (string | {
        ignoreComments: boolean;
        skipBlankLines: boolean;
    })[];
    'no-undef': string;
    'no-undef-init': string;
    'no-unexpected-multiline': string;
    'no-unmodified-loop-condition': string;
    'no-unneeded-ternary': (string | {
        defaultAssignment: boolean;
    })[];
    'no-unreachable': string;
    'no-unsafe-finally': string;
    'no-unsafe-negation': string;
    'no-unused-labels': string;
    'no-unused-vars': (string | {
        args: string;
        ignoreRestSiblings: boolean;
        vars: string;
    })[];
    'no-use-before-define': (string | {
        classes: boolean;
        functions: boolean;
        variables: boolean;
    })[];
    'no-useless-call': string;
    'no-useless-catch': string;
    'no-useless-concat': string;
    'no-useless-constructor': string;
    'no-useless-escape': string;
    'no-useless-return': string;
    'no-var': string;
    'no-warning-comments': (string | {
        location: string;
        terms: string[];
    })[];
    'no-whitespace-before-property': string;
    'no-with': string;
};
declare const errorsIgnore: Record<string, string>;
export { errorsConfig, errorsIgnore };
//# sourceMappingURL=errors.d.ts.map