declare const formatterConfig: {
    'array-bracket-spacing': string[];
    'arrow-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'block-spacing': string[];
    camelcase: (string | {
        ignoreDestructuring: boolean;
        properties: string;
    })[];
    'capitalized-comments': (string | {
        block: {
            ignoreConsecutiveComments: boolean;
            ignoreInlineComments: boolean;
            ignorePattern: string;
        };
        line: {
            ignoreConsecutiveComments: boolean;
            ignoreInlineComments: boolean;
            ignorePattern: string;
        };
    })[];
    'comma-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'comma-style': (string | {
        exceptions: {
            ArrayExpression: boolean;
            ArrayPattern: boolean;
            ArrowFunctionExpression: boolean;
            CallExpression: boolean;
            FunctionDeclaration: boolean;
            FunctionExpression: boolean;
            ImportDeclaration: boolean;
            NewExpression: boolean;
            ObjectExpression: boolean;
            ObjectPattern: boolean;
            VariableDeclaration: boolean;
        };
    })[];
    'computed-property-spacing': string[];
    curly: string[];
    'dot-location': string[];
    'eol-last': string[];
    'func-call-spacing': string[];
    'func-name-matching': (string | {
        considerPropertyDescriptor: boolean;
        includeCommonJSModuleExports: boolean;
    })[];
    'func-names': string;
    'key-spacing': (string | {
        afterColon: boolean;
        beforeColon: boolean;
    })[];
    'keyword-spacing': (string | {
        after: boolean;
        before: boolean;
        overrides: {
            case: {
                after: boolean;
            };
            return: {
                after: boolean;
            };
            throw: {
                after: boolean;
            };
        };
    })[];
    'line-comment-position': (string | {
        applyDefaultPatterns: boolean;
        position: string;
    })[];
    'lines-around-comment': string;
    'lines-around-directive': (string | {
        after: string;
        before: string;
    })[];
    'lines-between-class-members': (string | {
        exceptAfterSingleLine: boolean;
    })[];
    'max-depth': (string | number)[];
    'max-len': (string | number | {
        ignoreComments: boolean;
        ignoreRegExpLiterals: boolean;
        ignoreStrings: boolean;
        ignoreTemplateLiterals: boolean;
        ignoreTrailingComments: boolean;
        ignoreUrls: boolean;
    })[];
    'max-statements-per-line': (string | {
        max: number;
    })[];
    'multiline-comment-style': string[];
    'new-parens': string;
    'nonblock-statement-body-position': (string | {
        overrides: {};
    })[];
    'object-curly-newline': (string | {
        ExportDeclaration: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
        ImportDeclaration: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
        ObjectExpression: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
        ObjectPattern: {
            consistent: boolean;
            minProperties: number;
            multiline: boolean;
        };
    })[];
    'object-curly-spacing': string[];
    'padding-line-between-statements': (string | {
        blankLine: string;
        next: string;
        prev: string;
    } | {
        blankLine: string;
        next: string;
        prev: string[];
    } | {
        blankLine: string;
        next: string[];
        prev: string[];
    })[];
    'quote-props': (string | {
        keywords: boolean;
        numbers: boolean;
        unnecessary: boolean;
    })[];
    quotes: (string | {
        avoidEscape: boolean;
    })[];
    'semi-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'semi-style': string[];
    'space-before-blocks': string;
    'space-before-function-paren': (string | {
        anonymous: string;
        asyncArrow: string;
        named: string;
    })[];
    'space-in-parens': string[];
    'space-infix-ops': string;
    'space-unary-ops': (string | {
        nonwords: boolean;
        overrides: {};
        words: boolean;
    })[];
    'spaced-comment': (string | {
        block: {
            balanced: boolean;
            exceptions: string[];
            markers: string[];
        };
        line: {
            exceptions: string[];
            markers: string[];
        };
    })[];
    'switch-colon-spacing': (string | {
        after: boolean;
        before: boolean;
    })[];
    'template-curly-spacing': string;
    'template-tag-spacing': string[];
    'unicode-bom': string[];
};
declare const formatterIgnore: Record<string, string>;
export { formatterConfig, formatterIgnore };
//# sourceMappingURL=formatters.d.ts.map