"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.standardsIgnore = exports.standardsConfig = void 0;
const standardsConfig = {
    'accessor-pairs': 'error',
    'arrow-body-style': [
        'error',
        'as-needed',
        {
            requireReturnForObjectLiteral: true
        }
    ],
    'block-scoped-var': 'error',
    'default-case': [
        'error',
        {
            commentPattern: '^no default$'
        }
    ],
    eqeqeq: [
        'error',
        'always',
        {
            null: 'ignore'
        }
    ],
    'getter-return': [
        'error',
        {
            allowImplicit: true
        }
    ],
    'guard-for-in': 'error',
    'max-classes-per-file': ['error', 1],
    'object-property-newline': [
        'error',
        {
            allowAllPropertiesOnSameLine: true
        }
    ],
    'object-shorthand': [
        'error',
        'always',
        {
            avoidQuotes: true,
            ignoreConstructors: false
        }
    ],
    'one-var': ['error', 'never'],
    'one-var-declaration-per-line': ['error', 'always'],
    'operator-assignment': ['error', 'always'],
    'prefer-arrow-callback': [
        'error',
        {
            allowNamedFunctions: true,
            allowUnboundThis: true
        }
    ],
    'prefer-const': [
        'error',
        {
            destructuring: 'any',
            ignoreReadBeforeAssign: true
        }
    ],
    'prefer-destructuring': [
        'error',
        {
            AssignmentExpression: {
                array: false,
                object: false
            },
            VariableDeclarator: {
                array: false,
                object: true
            }
        },
        {
            enforceForRenamedProperties: false
        }
    ],
    'prefer-named-capture-group': 'off',
    'prefer-numeric-literals': 'error',
    'prefer-spread': 'error',
    radix: ['error', 'as-needed'],
    'require-await': 'off',
    'require-unicode-regexp': 'off',
    semi: ['error', 'always'],
    'sort-imports': [
        'error',
        {
            ignoreCase: false,
            ignoreDeclarationSort: false,
            ignoreMemberSort: false,
            memberSyntaxSortOrder: ['none', 'all', 'multiple', 'single']
        }
    ],
    'valid-jsdoc': 'off',
    'valid-typeof': [
        'error',
        {
            requireStringLiterals: true
        }
    ],
    'vars-on-top': 'error',
    'wrap-iife': [
        'error',
        'outside',
        {
            functionPrototypeMethods: false
        }
    ]
};
exports.standardsConfig = standardsConfig;
const standardsIgnore = {
    'accessor-pairs': 'off',
    'max-classes-per-file': 'off'
};
exports.standardsIgnore = standardsIgnore;
