"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsIgnore = exports.tsConfig = void 0;
const tsConfig = {
    '@typescript-eslint/array-type': 'error',
    '@typescript-eslint/ban-ts-comment': 'error',
    '@typescript-eslint/ban-tslint-comment': 'error',
    '@typescript-eslint/consistent-type-definitions': 'error',
    '@typescript-eslint/consistent-type-imports': 'error',
    '@typescript-eslint/naming-convention': [
        'error',
        {
            selector: 'variableLike',
            format: ['camelCase', 'PascalCase', 'snake_case', 'UPPER_CASE'],
            leadingUnderscore: 'forbid',
            trailingUnderscore: 'forbid'
        },
        {
            selector: 'typeLike',
            format: ['camelCase', 'PascalCase']
        },
        {
            selector: 'function',
            modifiers: ['exported'],
            format: ['camelCase', 'PascalCase']
        }
    ],
    '@typescript-eslint/no-import-type-side-effects': 'error',
    '@typescript-eslint/no-inferrable-types': 'error',
    '@typescript-eslint/no-require-imports': 'error',
    '@typescript-eslint/no-shadow': 'error',
    '@typescript-eslint/no-unused-expressions': 'error',
    '@typescript-eslint/no-unused-vars': [
        'error',
        {
            args: 'after-used',
            ignoreRestSiblings: true,
            vars: 'all'
        }
    ],
    '@typescript-eslint/no-useless-constructor': 'error',
    '@typescript-eslint/no-var-requires': 'error',
    '@typescript-eslint/prefer-function-type': 'error',
    '@typescript-eslint/triple-slash-reference': [
        'error',
        {
            lib: 'never',
            path: 'never',
            types: 'never'
        }
    ],
    '@typescript-eslint/unified-signatures': 'error'
};
exports.tsConfig = tsConfig;
const tsIgnore = {
    '@typescript-eslint/ban-types': 'off',
    '@typescript-eslint/explicit-function-return-type': 'off',
    '@typescript-eslint/explicit-member-accessibility': 'off',
    '@typescript-eslint/explicit-module-boundary-types': 'off',
    '@typescript-eslint/no-empty-function': 'off',
    '@typescript-eslint/no-explicit-any': 'off',
    '@typescript-eslint/no-inferrable-types': 'off',
    '@typescript-eslint/no-non-null-assertion': 'off',
    '@typescript-eslint/no-unused-expressions': 'off',
    '@typescript-eslint/no-unused-vars': 'off',
    '@typescript-eslint/no-var-requires': 'off'
};
exports.tsIgnore = tsIgnore;
